> For the complete documentation index, see [llms.txt](https://developers.newbluefx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.newbluefx.com/captivate-api.md).

# Captivate API

- [Captivate Controller Setup](https://developers.newbluefx.com/captivate-api/captivate-controller-reference.md)
- [Setup Your Folders](https://developers.newbluefx.com/captivate-api/captivate-controller-reference/setup-your-folders.md)
- [XML Definition](https://developers.newbluefx.com/captivate-api/captivate-controller-reference/xml-definition.md)
- [Pattern Variables](https://developers.newbluefx.com/captivate-api/captivate-controller-reference/pattern-variables.md)
- [Controller API Reference](https://developers.newbluefx.com/captivate-api/javascript-api-reference.md)
- [Loading Required JS Files](https://developers.newbluefx.com/captivate-api/javascript-api-reference/loading-required-js-files.md)
- [Using the ServiceHandler](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler.md)
- [scheduleAction Method](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/scheduleaction-method.md)
- [scheduleCommand Method](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/schedulecommand-method.md): Send a command message to the scheduler using JavaScript objects.
- [Understanding Signals](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/signals.md)
- [Persisting Controller State](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/persisting-controller-state.md)
- [Additional Methods with Scheduler](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/additional-methods-with-scheduler.md)
- [Communication Between Controllers](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/communicating-between-controllers.md)
- [Recommendations for Efficient Updates](https://developers.newbluefx.com/captivate-api/javascript-api-reference/using-the-servicehandler/recommendations-for-efficient-title-updates.md)
- [Legacy Scheduler Methods](https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods.md)
- ["For Key" Methods](https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/for-key-methods.md)
- [scheduleCommandXML Method](https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/schedulecommandxml-method.md)
- [scheduleVariables and scheduleVariablesEx Methods](https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/schedulevariables-and-schedulevariablesex-methods.md)
- [External API Reference](https://developers.newbluefx.com/captivate-api/advanced-api-reference.md)
- [TCP, UDP, and HTTP Connections](https://developers.newbluefx.com/captivate-api/advanced-api-reference/tcp-udp-and-http-connections.md)
- [API Communication](https://developers.newbluefx.com/captivate-api/advanced-api-reference/api-communication.md)
- [Additional HTTP Endpoints](https://developers.newbluefx.com/captivate-api/advanced-api-reference/additional-http-endpoints.md)
- [Leveraging Captivate to Connect to UDP Servers](https://developers.newbluefx.com/captivate-api/advanced-api-reference/leveraging-captivate-to-connect-to-udp-servers.md)
- [Making Use of our Tunneling Server](https://developers.newbluefx.com/captivate-api/advanced-api-reference/making-use-of-our-tunneling-server.md)
- [All Commands Reference](https://developers.newbluefx.com/captivate-api/all-commands-reference.md)
- [Advanced Control](https://developers.newbluefx.com/captivate-api/all-commands-reference/advanced-control.md)
- [Audio Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/audio-commands.md)
- [Cache Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/cache-commands.md)
- [File Tools](https://developers.newbluefx.com/captivate-api/all-commands-reference/file-tools.md)
- [Input Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/input-commands.md)
- [Instant Replay Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/instant-replay-commands.md)
- [Meeting Control](https://developers.newbluefx.com/captivate-api/all-commands-reference/meeting-control.md)
- [Notifications](https://developers.newbluefx.com/captivate-api/all-commands-reference/notifications.md)
- [Output Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/output-commands.md)
- [Project Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/project-commands.md)
- [Status Information](https://developers.newbluefx.com/captivate-api/all-commands-reference/status-information.md)
- [Title Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/title-commands.md)
- [Variable Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/variable-commands.md)
- [Video Commands](https://developers.newbluefx.com/captivate-api/all-commands-reference/video-commands.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.newbluefx.com/captivate-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
